/* ----------------------------------------------------------------------------------------------------
.______    __   __     __    ______    _______  .______   
|   _  \  |  | |   \  |  |  /  ____\  |   ____| |   _  \  
|  |_)  | |  | |    \ |  | |  | _____ |  |__    |  |_)  | 
|      /  |  | |  |\ \|  | |  | |_  | |   __|   |      /  
|  |\  \  |  | |  | \    | |  |___| | |  |____  |  |\  \
|__| \__\ |__| |__|  \ __|  \______/  |_______| |__| \__\


@charset "utf-8";

[Third Party Stylesheet]

Project:    	Ringer Landing Page
Version:    	0.1
Last change:    22/12/2022

----------------------------------------------------------------------------------------------------
[Table of contents]
----------------------------------------------------------------------------------------------------*/


/*----------------------------------------------------------------------------------------------------

1. Magnific Custom Css

@forms - Forms Common styles
@preloader - Preloader
@animations - Animations
@extra - Extra styles
@swiper - Swiper Slider

----------------------------------------------------------------------------------------------------*/

/*

======================================================================
 @ 					1. Magnific Custom Css
======================================================================

*/

.mfp-fade.mfp-bg {
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	-webkit-transition: all 0.15s ease-out; 
	transition: all 0.15s ease-out;
}
.mfp-fade.mfp-bg.mfp-ready {
	opacity: 0.8;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=80)";
}
.mfp-fade.mfp-bg.mfp-removing {
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
}

.mfp-fade.mfp-wrap .mfp-content {
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	-webkit-transition: all 0.15s ease-out; 
	transition: all 0.15s ease-out;
}
.mfp-fade.mfp-wrap.mfp-ready .mfp-content {
	opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
}
.mfp-fade.mfp-wrap.mfp-removing .mfp-content {
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
}




/*

======================================================================
 @ 					@forms - Contact Form
======================================================================

*/




form#apps-craft-form,
form#apps-craft-signup-form {
	position: relative;
}
div.apps_craft_error {
	color: red;
	position: absolute;
	top: -30px;
	left: 0;
	font-size: 1em;
	width: 100%;
	height: inherit;
	box-shadow: 0 0 black;
	margin: 0;
}

input.apps_craft_input_error,
textarea.apps_craft_input_error,
select.apps_craft_input_error {
	border: 1px solid red !important;
	-webkit-transition: all .4s !important;
	transition: all .4s !important;
}
div.apps-craft-success-message {
	color: green;
	margin-top: 15px;
	position: absolute;
	width: 100%;
	/* text-align: center; */
	left: 0;
}
.apps-craft-submit-btn-ar {
	position: relative;
	display: inline-block;
}




/*

======================================================================
 @ 					@preloader - Preloader
======================================================================

*/



span.apps-craft-loader.apps-craft-loader1 {
	position: absolute;
	-webkit-transform: translateY(-50%);
		    transform: translateY(-50%);
	top: 50%;
	right: -52px;
}
.apps-craft-loader, .apps-craft-loader:before, .apps-craft-loader:after {
	display: inline-block;
	width: 30px;
	height: 30px;
	vertical-align: middle;
	border-radius: 30px;
	border: 5px solid transparent;
	margin-right: 10px;
}

/**
 * Loader1
 */
.apps-craft-loader1 {
	position: relative;
	border: 5px solid rgb(29, 70, 82);
}
.apps-craft-loader1:after {
	content:'';
	position: absolute;
	top: -5px;
	left: -5px;
	border: 5px solid transparent;
	border-top-color:#fff;
	-webkit-animation: spin 1s linear infinite;
		animation: spin 1s linear infinite; 
}




/*

======================================================================
 @ 					@animations - Animations
======================================================================

*/



@-webkit-keyframes spin {
  0%  { -webkit-transform:rotate(0deg); transform:rotate(0deg) }
  100% { -webkit-transform:rotate(360deg); transform:rotate(360deg) }
}
@keyframes spin {
  0%  { -webkit-transform:rotate(0deg); transform:rotate(0deg) }
  100% { -webkit-transform:rotate(360deg); transform:rotate(360deg) }
}

@-webkit-keyframes spin-r {
  from  { -webkit-transform:rotate(0deg); transform:rotate(0deg) }
  to { -webkit-transform:rotate(-360deg); transform:rotate(-360deg) }
}

@keyframes spin-r {
  from  { -webkit-transform:rotate(0deg); transform:rotate(0deg) }
  to { -webkit-transform:rotate(-360deg); transform:rotate(-360deg) }
}

@-webkit-keyframes grow {
  0% { -webkit-transform:scaleY(1); transform:scaleY(1);opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; }
  50% { -webkit-transform:scaleY(0.5); transform:scaleY(0.5);opacity:0.5;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)"; }
  100% { -webkit-transform:scaleY(1); transform:scaleY(1);opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; }
}

@keyframes grow {
  0% { -webkit-transform:scaleY(1); transform:scaleY(1);opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; }
  50% { -webkit-transform:scaleY(0.5); transform:scaleY(0.5);opacity:0.5;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=50)"; }
  100% { -webkit-transform:scaleY(1); transform:scaleY(1);opacity:1;-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; }
}

@-webkit-keyframes fade{
  0%{ opacity:1; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; }
  100%{ opacity:0.2; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";}
}

@keyframes fade{
  0%{ opacity:1; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)"; }
  100%{ opacity:0.2; -ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=20)";}
}

@-webkit-keyframes orbit {
  0% {
	-webkit-transform: rotate(225deg);
		transform: rotate(225deg);
	opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
	-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
  }
  7% {
    -webkit-transform: rotate(345deg);
            transform: rotate(345deg);
    -webkit-animation-timing-function: linear;
            animation-timing-function: linear;
  }
  30% {
	-webkit-transform: rotate(455deg);
		transform: rotate(455deg);
	-webkit-animation-timing-function: ease-in-out;
		animation-timing-function: ease-in-out;
  }
  39% {
	-webkit-transform: rotate(690deg);
		transform: rotate(690deg);
	-webkit-animation-timing-function: linear;
		animation-timing-function: linear;
  }
  70% {
	-webkit-transform: rotate(815deg);
		transform: rotate(815deg);
	opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
	-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
  }
  75% {
	-webkit-transform: rotate(945deg);
		transform: rotate(945deg);
	-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
  }
  76% {
	-webkit-transform: rotate(945deg);
		transform: rotate(945deg);
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }
  100% {
	-webkit-transform: rotate(945deg);
		transform: rotate(945deg);
		opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }
}

@keyframes orbit {
  0% {
	-webkit-transform: rotate(225deg);
		transform: rotate(225deg);
		opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
	-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
  }
  7% {
	-webkit-transform: rotate(345deg);
		transform: rotate(345deg);
	-webkit-animation-timing-function: linear;
		animation-timing-function: linear;
  }
  30% {
	-webkit-transform: rotate(455deg);
		transform: rotate(455deg);
	-webkit-animation-timing-function: ease-in-out;
		animation-timing-function: ease-in-out;
  }
  39% {
	-webkit-transform: rotate(690deg);
		transform: rotate(690deg);
	-webkit-animation-timing-function: linear;
		animation-timing-function: linear;
  }
  70% {
	-webkit-transform: rotate(815deg);
		transform: rotate(815deg);
		opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
	-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
  }
  75% {
	-webkit-transform: rotate(945deg);
		transform: rotate(945deg);
	-webkit-animation-timing-function: ease-out;
		animation-timing-function: ease-out;
  }
  76% {
	-webkit-transform: rotate(945deg);
		transform: rotate(945deg);
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }
  100% {
	-webkit-transform: rotate(945deg);
		transform: rotate(945deg);
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
  }
}




/*

======================================================================
 @ 					@extra - Extra
======================================================================

*/




.apps-craft-subscribe-form form#mc-form {
	position: relative;
	text-align: center;
}
.apps-craft-subscribe-form label.error {
	color: red;
}
.apps-craft-subscribe-form label.valid {
	color: green;
}
.apps-craft-subscribe-form label {
	display: block;
	text-align: center;
	width: 100%;
	left: 0;
	bottom: -33px;
	font-weight: normal;
	padding: 10px;
	overflow: hidden;
	opacity: 0;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=0)";
	position: absolute;
	-webkit-transition: opacity .4s;
	transition: opacity .4s;
}
label.apps-craft-subscribed-label {
	opacity: 1;
	-ms-filter: "progid:DXImageTransform.Microsoft.Alpha(Opacity=100)";
	position: static;
}
.apps-craft-subscribe-form {
	background-color: #fff;
	border-top-right-radius: 35px;
	border-top-left-radius: 35px;
	border-bottom-left-radius: 35px;
	border-bottom-right-radius: 35px;
}




/*

======================================================================
 @ 					@swiper - Swiper Slider
======================================================================

*/




.swiper-container.one {
	padding-bottom: 0;
}
.swiper-container.one .swiper-slide {
    margin: 0 -5px !important;
}
.apps-craft-banner-swiper {
    position: absolute;
    width: 100%;
    z-index: 9;
    bottom: 0px;
}
.apps-craft-banner-swiper:before {
	content: "";
	position: absolute;
	width: 0;
	height: 0;
	border-left: 50vw solid transparent;
	border-right: 50vw solid transparent;
	border-bottom: 50vh solid #F4F4F4;
	bottom: 0;
}
.apps-craft-banner-swiper:after {
	content: "";
}